Pular para o conteúdo principal
GET
/
scheduler
/
2026-03
/
meetings
/
meeting-links
/
book
/
{slug}
Listar informações de agendamento
curl --request GET \
  --url https://api.hubapi.com/scheduler/2026-03/meetings/meeting-links/book/{slug} \
  --header 'Authorization: Bearer <token>'
{
  "allUsersBusyTimes": [
    {
      "busyTimes": [
        {
          "end": 123,
          "start": 123
        }
      ],
      "isOffline": true,
      "meetingsUser": {
        "calendarProvider": "EXCHANGE",
        "id": "<string>",
        "isSalesStarter": true,
        "userId": "<string>",
        "userProfile": {
          "email": "<string>",
          "firstName": "<string>",
          "fullName": "<string>",
          "lastName": "<string>"
        }
      }
    }
  ],
  "customParams": {
    "availability": {},
    "durations": [
      123
    ],
    "formFields": [
      {
        "fieldType": "<string>",
        "isCustom": true,
        "isRequired": true,
        "label": "<string>",
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "type": "<string>"
      }
    ],
    "legalConsentEnabled": true,
    "meetingBufferTime": 123,
    "ownerPrioritized": true,
    "startTimeIncrementMinutes": "FIFTEEN",
    "weeksToAdvertise": 123,
    "customAvailabilityEndDate": 123,
    "customAvailabilityStartDate": 123,
    "displayInfo": {
      "avatar": "<string>",
      "companyAvatar": "<string>",
      "headline": "<string>",
      "publicDisplayAvatarOption": "COMPANY_LOGO"
    },
    "guestSettings": {
      "canAddGuests": true,
      "maxGuestCount": 123
    },
    "language": "<string>",
    "legalConsentOptions": {
      "communicationConsentCheckboxes": [
        {
          "communicationTypeId": "<string>",
          "label": "<string>",
          "required": true
        }
      ],
      "communicationConsentText": "<string>",
      "isLegitimateInterest": true,
      "legitimateInterestSubscriptionTypes": [
        123
      ],
      "privacyPolicyText": "<string>",
      "processingConsentCheckboxLabel": "<string>",
      "processingConsentFooterText": "<string>",
      "processingConsentText": "<string>",
      "processingConsentType": "IMPLICIT",
      "legitimateInterestLegalBasis": "CONSENT_WITH_NOTICE"
    },
    "locale": "<string>",
    "location": "<string>",
    "redirectUrl": "<string>",
    "welcomeScreenInfo": {
      "description": "<string>",
      "logoUrl": "<string>",
      "showWelcomeScreen": true,
      "title": "<string>",
      "useCompanyLogo": true
    }
  },
  "isOffline": true,
  "linkId": "<string>",
  "linkType": "GROUP_CALENDAR",
  "brandingMetadata": {
    "logoAltText": "<string>",
    "showMarketingAd": true,
    "showSalesAd": true,
    "accent2Color": "<string>",
    "accentColor": "<string>",
    "companyAddressLine1": "<string>",
    "companyAddressLine2": "<string>",
    "companyAvatar": "<string>",
    "companyCity": "<string>",
    "companyCountry": "<string>",
    "companyDomain": "<string>",
    "companyName": "<string>",
    "companyState": "<string>",
    "companyZip": "<string>",
    "logoHeight": 123,
    "logoUrl": "<string>",
    "logoWidth": 123,
    "primaryColor": "<string>",
    "secondaryColor": "<string>"
  },
  "linkAvailability": {
    "hasMore": true,
    "linkAvailabilityByDuration": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

slug
string
obrigatório

O caminho para a página de agendamento para a qual você deseja as informações.

Parâmetros de consulta

timezone
string
obrigatório

Retorne os horários na resposta com base no fuso horário especificado.

Resposta

successful operation

allUsersBusyTimes
object[]
obrigatório
customParams
object
obrigatório
isOffline
boolean
obrigatório

Indica se a reunião foi agendada offline, ou seja, se nenhum evento de calendário associado foi criado.

O identificador exclusivo do link da reunião.

O tipo de link de reunião. Os valores aceitos são: GROUP_CALENDAR, PERSONAL_LINK, ROUND_ROBIN_CALENDAR.

Opções disponíveis:
GROUP_CALENDAR,
PERSONAL_LINK,
ROUND_ROBIN_CALENDAR
brandingMetadata
object
Last modified on April 13, 2026